Z8530_SHUTDOWN(9)

NAME
z8530_shutdown - Shutdown a Z8530 device

SYNOPSIS

int z8530_shutdown (struct z8530_dev * dev);

ARGUMENTS

dev The Z8530 chip to shutdown

DESCRIPTION

We set the interrupt handlers to silence any interrupts. We then reset the chip and wait 100uS to be sure the reset completed. Just in case the caller then tries to do stuff.

This is called without the lock held